MRWTextInternal::Table Struct Reference

Internal: struct used to store the table of a MRWText. More...

## Classes

struct | Cell
| a table cell of a MRWText More...
struct | Row
| a table row of a MRWText More...

## Public Member Functions

| Table (Zone const &zone)
| constructor More...
long | nextCharPos () const
| returns the next char position after the table More...

## Public Attributes

Zone const & | m_zone
| the actual zone More...
std::vector< Row > | m_rowsList
| the list of row More...

## Detailed Description

Internal: struct used to store the table of a MRWText.

## Constructor & Destructor Documentation

MRWTextInternal::Table::Table | ( | Zone const & | zone | ) |

inline

constructor

## Member Function Documentation

long MRWTextInternal::Table::nextCharPos | ( |  | ) | const

inline

returns the next char position after the table

Referenced by MRWText::send().

## Member Data Documentation

std::vector<Row> MRWTextInternal::Table::m_rowsList

the list of row

Referenced by MRWText::findTableStructure(), and MRWText::sendTable().

Zone const& MRWTextInternal::Table::m_zone

the actual zone

Referenced by MRWText::findTableStructure(), and MRWText::sendTable().

The documentation for this struct was generated from the following file:

- MRWText.cxx